OMPI_INFO(1)

NAME
ompi_info - Display information about the Open MPI installation

SYNOPSIS
ompi_info [options]

DESCRIPTION

ompi_info provides detailed information about the Open MPI installation. It can be useful for at least three common scenarios:

1. Checking local configuration and seeing how Open MPI was installed.

2. Submitting bug reports / help requests to the Open MPI community (see http://www.open-mpi.org/community/help/)

3. Seeing a list of installed Open MPI plugins and querying what MCA parameters they support.

OPTIONS
ompi_info accepts the following options:

-a|--all
    Show all configuration options and MCA parameters

--arch
    Show architecture Open MPI was compiled on

-c|--config
    Show configuration options

-gmca|--gmca <param> <value>
    Pass global MCA parameters that are applicable to all contexts.

-h|--help
    Shows help / usage message

--hostname
    Show the hostname that Open MPI was configured and built on

--internal
    Show internal MCA parameters (not meant to be modified by users)

-mca|--mca <param> <value>
    Pass context-specific MCA parameters; they are considered global if --gmca is not used and only one context is specified.

--param <type> <component>
    Show MCA parameters. The first parameter is the type of the component to display; the second parameter is the specific component to display (or the keyword "all", meaning "display all components of this type").

--parsable
    When used in conjunction with other parameters, the output is displayed in a machine-parsable format --parseable Synonym for --parsable

--path <type>
    Show paths that Open MPI was configured with. Accepts the following parameters: prefix, bindir, libdir, incdir, pkglibdir, sysconfdir.

--pretty
    When used in conjunction with other parameters, the output is displayed in 'prettyprint' format (default)

-v|--version <component> <scope>
    Show version of Open MPI or a component. <component> can be the keywords "ompi" or "all", the name of a framework (e.g., "coll" shows all components in the coll framework), or the name of a specific component (e.g., "pls:rsh" shows the information from the rsh PLS component). <scope> can be one of: full, major, minor, release, greek, svn.

EXAMPLES

ompi_info
    Show the default output of options and listing of installed components in a human-readable / prettyprint format.

ompi_info --parsable
    Show the default output of options and listing of installed components in a machine-parsable format.

ompi_info --param btl openib
    Show the MCA parameters of the "openib" BTL component in a human-readable / prettyprint format.

ompi_info --param btl openib --parsable
    Show the MCA parameters of the "openib" BTL component in a machine-parsable format.

ompi_info --path bindir
    Show the "bindir" that Open MPI was configured with.

ompi_info --version ompi full --parsable
    Show the full version numbers of Open MPI (including the ORTE and OPAL version numbers) in a machine-readable format.

ompi_info --version btl major
    Show the major version number of all BTL components in a prettyprint format.

ompi_info --version btl:tcp minor
    Show the minor version number of the TCP BTL component in a prettyprint format.

ompi_info --all
    Show all information about the Open MPI installation, including all components that can be found, the MCA parameters that they support, versions of Open MPI and the components, etc.

AUTHORS
The Open MPI maintainers -- see http://www.openmpi.org/ or the file AUTHORS.

This manual page was originally contributed by Dirk Eddelbuettel <edd@debian.org>, one of the Debian GNU/Linux maintainers for Open MPI, and may be used by others.